org.apache.commons.imaging.palette

## Class ColorCountComparator

- java.lang.Object
- - org.apache.commons.imaging.palette.ColorCountComparator

- All Implemented Interfaces:
    Serializable, Comparator<org.apache.commons.imaging.palette.ColorCount>

      public class ColorCountComparator
      extends Object
      implements Comparator<org.apache.commons.imaging.palette.ColorCount>, Serializable

  A comparator for {#link ColorCount} elements.

  It uses a given {#link ColorComponent} to choose what channel must be used for the comparison.

  For example, if the comparator is created for the `ColorComponent.RED` channel, then it will compare the value of red of each `ColorCount` object in the array of elements.

  Since:
    1.0-alpha2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorCountComparator(org.apache.commons.imaging.palette.ColorComponent colorComponent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(org.apache.commons.imaging.palette.ColorCount c1, org.apache.commons.imaging.palette.ColorCount c2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### ColorCountComparator

          public ColorCountComparator(org.apache.commons.imaging.palette.ColorComponent colorComponent)

  - ### Method Detail

    - #### compare

          public int compare(org.apache.commons.imaging.palette.ColorCount c1,
                             org.apache.commons.imaging.palette.ColorCount c2)

      Specified by:
        `compare` in interface `Comparator<org.apache.commons.imaging.palette.ColorCount>`

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.